// 编写程序，键盘输入字符串是否为回文字符串
#include <stdio.h>
#include <string.h>

int isPalindrome(const char *str);

int main()
{
    char str[32];
    printf("请输入字符串：");
    scanf("%s", str);

    if (isPalindrome(str))
        printf("%s 是回文字符串", str);
    else
        printf("%s 不是回文字符串", str);

    return 0;
}

int isPalindrome(const char *str)
{
    // int len = strlen(str);
    // 用以实现 strlen 的相同功能
    int len = 0;
    while (str[len])
        len++;
    printf("%d\n", len);

    int i = 0, j = len - 1;
    while (i < j)
    {
        if (str[i] != str[j])
            return 0; // 返回 0 为假
        i++;
        j--;
    }

    return 1; // 返回非 0 为真
}